%define upstream_name    File-List
%define upstream_version 0.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for crawling directory trees and compiling lists of files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch

%description
This module crawls the directory tree starting at the provided base
directory and can return files (and/or directories if desired) matching a
regular expression

%prep
%setup -q -n File/List 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jan 21 2011 jquelin <jquelin> 0.3.1-2.mga1
+ Revision: 29263
- no meta.yml
- use %%perl_convert_version
- mageia rebuild
- imported package perl-File-List


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-2mdv2010.0
+ Revision: 440555
- rebuild

* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 293677
- import perl-File-List


* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2009.1
- initial mdv release, generated with cpan2dist
